Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dtu.library.ui
Class TestLibraryThroughUI

    java.lang.Object
      dtu.library.ui.TestLibraryThroughUI

    public class TestLibraryThroughUI

extends java.lang.Object

Constructor Summary
`TestLibraryThroughUI()`

Method Summary
`void` | `testTestAddBook()` Tests adding a book to the library by the administrator.
`void` | `testTestExitApplication1()` Tests that the main menu has an exit option and that selecting the exit option results in true being returned from the processSelection method.
`void` | `testTestExitApplication2()` Tests that a wrong input to the menu results in a "Wrong selection; please repeat." output, and that the exit status is still false.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestLibraryThroughUI

    public TestLibraryThroughUI()

Method Detail

### testTestExitApplication1

    public void testTestExitApplication1()
                                  throws java.io.IOException

  Tests that the main menu has an exit option and that selecting the exit option results in true being returned from the processSelection method.

  Throws:
    `java.io.IOException`

### testTestExitApplication2

    public void testTestExitApplication2()
                                  throws java.io.IOException

  Tests that a wrong input to the menu results in a "Wrong selection; please repeat." output, and that the exit status is still false.

  Throws:
    `java.io.IOException`

### testTestAddBook

    public void testTestAddBook()
                         throws java.io.IOException

  Tests adding a book to the library by the administrator.
  1. The add book menu option is selected
  2. The password of the administrator is typed in
  3. The title of the book is typed in
  4. The author of the book is typed in
  5. The main menu is shown again, and the user chooses the exit option

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD